org.apache.ode.bpel.compiler

## Class AssignGeneratorMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle
      - - org.apache.ode.bpel.compiler.AssignGeneratorMessages

-     public class AssignGeneratorMessages
      extends CompilationMessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssignGeneratorMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationMessage` | `errCopyFromMessageToNonMessage(java.lang.String rval)` Copy from message variable {0} requires a message for the l-value.
    `CompilationMessage` | `errCopyFromUndeclaredPartnerRole(java.lang.String rval, java.lang.String epr)` Copy from partner link {0} with enpoint reference {1} requires the corresponding role to be defined on partner link.
    `CompilationMessage` | `errCopyToMessageFromNonMessage(java.lang.String lval)` Copy to message variable {0} requires a message for the r-value.
    `CompilationMessage` | `errCopyToUndeclaredPartnerRole(java.lang.String lval)` Copy to partner link {0} requires the partnerRole to be defined on partner link.
    `CompilationMessage` | `errMismatchedMessageAssignment(java.lang.String lvar, javax.xml.namespace.QName tlvalue, java.lang.String rval, javax.xml.namespace.QName trvalue)` Copy to message variable {0} of type {1} from message {2} of type {3} is not permitted (the message types do not match).
    `CompilationMessage` | `errMissingFromSpec()` Copy missing from-spec.
    `CompilationMessage` | `errMissingToSpec()` Copy missing to-spec.
    `CompilationMessage` | `errUnknownToSpec()` To-spec format is unrecognized.
    `CompilationMessage` | `errUnkownFromSpec()` From-spec format is unrecognized.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle

      `formatCompilationMessage`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssignGeneratorMessages

          public AssignGeneratorMessages()

  - ### Method Detail

    - #### errMissingFromSpec

          public CompilationMessage errMissingFromSpec()

      Copy missing from-spec.

    - #### errCopyToMessageFromNonMessage

          public CompilationMessage errCopyToMessageFromNonMessage(java.lang.String lval)

      Copy to message variable {0} requires a message for the r-value.

    - #### errCopyFromMessageToNonMessage

          public CompilationMessage errCopyFromMessageToNonMessage(java.lang.String rval)

      Copy from message variable {0} requires a message for the l-value.

    - #### errMismatchedMessageAssignment

          public CompilationMessage errMismatchedMessageAssignment(java.lang.String lvar,
                                                                   javax.xml.namespace.QName tlvalue,
                                                                   java.lang.String rval,
                                                                   javax.xml.namespace.QName trvalue)

      Copy to message variable {0} of type {1} from message {2} of type {3} is not permitted (the message types do not match).

    - #### errCopyToUndeclaredPartnerRole

          public CompilationMessage errCopyToUndeclaredPartnerRole(java.lang.String lval)

      Copy to partner link {0} requires the partnerRole to be defined on partner link.

    - #### errCopyFromUndeclaredPartnerRole

          public CompilationMessage errCopyFromUndeclaredPartnerRole(java.lang.String rval,
                                                                     java.lang.String epr)

      Copy from partner link {0} with enpoint reference {1} requires the corresponding role to be defined on partner link.

    - #### errMissingToSpec

          public CompilationMessage errMissingToSpec()

      Copy missing to-spec.

    - #### errUnkownFromSpec

          public CompilationMessage errUnkownFromSpec()

      From-spec format is unrecognized.

    - #### errUnknownToSpec

          public CompilationMessage errUnknownToSpec()

      To-spec format is unrecognized.